%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          libgtksourceview
Version:       3.14.1
Release:       1mamba
Summary:       A text widget that extends the standard GTK+ 2.x text widget
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://gtksourceview.sourceforge.net
Source:        http://ftp.gnome.org/pub/gnome/sources/gtksourceview/%{majversion}/gtksourceview-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: libpango-devel
BuildRequires: libpng15-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: perl-XML-Parser
BuildRequires: gtk-doc
BuildRequires: libpcre-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GtkSourceView is a text widget that extends the standard gtk+ 2.x text widget.
It improves the gtk+ text widget by implementing syntax highlighting and other features typical of a source editor.
It is part of the GNOME Desktop Environment and it is currently being used by gedit, MonoDevelop, Glimmer and several other projects.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GtkSourceView is a text widget that extends the standard gtk+ 2.x text widget.
It improves the gtk+ text widget by implementing syntax highlighting and other features typical of a source editor.
It is part of the GNOME Desktop Environment and it is currently being used by gedit, MonoDevelop, Glimmer and several other projects.

This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       API documentation for %{name}
Requires:      gtk-doc


%description apidocs
GtkSourceView is a text widget that extends the standard gtk+ 2.x text widget.
It improves the gtk+ text widget by implementing syntax highlighting and other features typical of a source editor.
It is part of the GNOME Desktop Environment and it is currently being used by gedit, MonoDevelop, Glimmer and several other projects.

This package contains the API documentation need for development.

%prep
%setup -q -n gtksourceview-%{version}

%build
%configure 
##\
##   --enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang gtksourceview-3.0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-3.0.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GtkSource-3.0.typelib
%{_datadir}/gtksourceview-?.?
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gtksourceview-?.?
%{_includedir}/gtksourceview-?.?
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/gir-1.0/GtkSource-3.0.gir
%{_datadir}/vala/vapi/gtksourceview-3.0.deps
%{_datadir}/vala/vapi/gtksourceview-3.0.vapi
%{_libdir}/pkgconfig/*.pc
%doc NEWS README

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gtksourceview-?.?/*.html
%{_datadir}/gtk-doc/html/gtksourceview-?.?/index.sgml
%{_datadir}/gtk-doc/html/gtksourceview-?.?/style.css
%{_datadir}/gtk-doc/html/gtksourceview-?.?/*.png
#%{_datadir}/gtk-doc/html/gtksourceview-?.?/gtksourceview-?.?.devhelp
%{_datadir}/gtk-doc/html/gtksourceview-?.?/gtksourceview-?.?.devhelp2

%changelog
* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Mon Jul 21 2014 Automatic Build System <autodist@mambasoft.it> 3.13.2-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Mon May 12 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Jan 28 2014 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.1-1mamba
- update to 3.10.1

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic update by autodist

* Tue Aug 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.1-2mamba
- git typelib file moved from devel to main library package

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 3.7.90-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Tue Jan 15 2013 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Sat Dec 29 2012 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Tue May 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.10.5-1mamba
- automatic update to 2.10.5 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic update to 2.10.4 by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic update to 2.10.3 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic update by autodist

* Sun Apr 19 2009 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic update by autodist

* Mon Apr 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Thu Jan 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.4.0-1mamba
- update to 2.4.0

* Tue Jul 22 2008 gil <puntogil@libero.it> 2.2.2-1mamba
- update to 2.2.2

* Wed May 14 2008 gil <puntogil@libero.it> 2.2.0-1mamba
- update to 2.2.0
- removed --enable-gtk-doc

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Wed Jun 27 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.90.1-1mamba
- package created by autospec
